Glue Up API
User CollectionEvent CollectionSubscription Collection
Membership CollectionFinance Collection
User CollectionEvent CollectionSubscription Collection
Membership CollectionFinance Collection
  1. Subscription Collection
  • Retrieve the User Subscriptions
    GET
  • Subscribe User to an Organization
    PUT
  • Subscribe User to Subjects
    PUT
  1. Subscription Collection

Subscribe User to Subjects

API integration server (demo)
https://api-demo-story.glueup.com/v2
API integration server (demo)
https://api-demo-story.glueup.com/v2
PUT
/subscription/subscribeLists
Subscribe user to list of subjects with contact email address / name, and list of subject ids.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
User subscribed to subjects successfully
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api-demo-story.glueup.com/v2/subscription/subscribeLists' \
--header 'a;' \
--header 'token;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "contact": {
        "organizationId": 2040,
        "givenName": "Given",
        "familyName": "Family",
        "emailAddress": {
            "value": "email.put@here.com"
        }
    },
    "subscriptionListIds": [
        3042
    ],
    "sendNotice": false
}'
Response Response Example
{
    "organizationId": 2040,
    "id": 1000008,
    "givenName": "Given",
    "familyName": "Family",
    "emailAddress": {
        "value": "email.put@here.com"
    },
    "subscribed": true
}
Modified at 2026-06-29 08:37:20
Previous
Subscribe User to an Organization
Built with